Bug 1010253 - GRUB should use efifb driver for graphic fallback
GRUB should use efifb driver for graphic fallback
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 07:30 EDT by Jan Sedlák
Modified: 2015-06-29 08:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:25:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Sedlák 2013-09-20 07:30:55 EDT
Description of problem:
Since UEFI systems cannot rely on VESA driver, GOP (xdriver=fbdev) should be used instead for graphic fallback.

I have tested it on several UEFI machines and fbdev works on all of them, sometimes even better than VESA.
Comment 1 Jan Sedlák 2013-09-20 07:34:41 EDT
Correction - driver is not called fbdev, but efifb.
Comment 2 Jan Sedlák 2013-09-20 07:45:48 EDT
Mea culpa, I mistook fbdev for efifb even when I have tested it. Efifb driver doesn't work. But idea remains the same. Since UEFI machines cannot rely on VESA driver, grub should use efifb ideally (when it will work...).
Comment 3 Mads Kiilerich 2013-09-21 08:18:57 EDT
You say "GRUB should use" ... but also talk about xdriver= .

Please clarify what it is that should change ... and in what way GRUB could change it.
Comment 4 Jan Sedlák 2013-10-02 05:04:32 EDT
I thought that what's default in kernel line is GRUB responsibility... My idea was to use xdriver=efifb instead of vesa on UEFI machines, but I am testing it now and it's kind of strange, it really doesn't work. I will do more testing.

Anyway, if grub isn't responsible for default values in kernel line (e. g. xdriver), what is?
Comment 5 Mads Kiilerich 2013-10-02 18:16:44 EDT
Anaconda writes /etc/default/grub, it runs grub2-mkconfig which reads that and writes grub.cfg.

However, KMS and X should automatically figure out how to do the right thing. Adding configuration is the wrong solution.
Comment 6 Fedora End Of Life 2015-05-29 05:25:42 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 08:25:00 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.